
/******************************************************************************
*@file  : acm32g103_it.c
*@brief : Main Interrupt Service Routines
*           This file provides template for all exceptions handler and 
*           peripherals interrupt service routine.  
******************************************************************************/

#include "app.h"
#include "acm32g103_it.h"


void NMI_Handler(void)
{   
}


void HardFault_Handler(void)
{
    while (1)
    {
    }
}


void MemManage_Handler(void)
{
    while (1)
    {
    }
}


void BusFault_Handler(void)
{
    while (1)
    {
    }
}


void UsageFault_Handler(void)
{
    while (1)
    {
    }
}


void SVC_Handler(void)
{
}


void DebugMon_Handler(void)
{
}


void PendSV_Handler(void)
{
}


/******************************************************************************
*@brief : System tick handler
*@param : none
*@return: none
******************************************************************************/
void SysTick_Handler(void)
{
	SysTick_Inc();
}

void DMA1CH0_Transfer_Complete(void);
void DMA1CH0_Transfer_Error(void);

void DMA1_IRQHandler(void)
{
    if (DMA1->INTTCSTATUS & (1UL << 0))
    {
        DMA1->INTTCCLR = 1UL << 0;
        DMA1CH0_Transfer_Complete();
    }
    if (DMA1->INTERRSTATUS & (1UL << 0))
    {
        DMA1->INTERRCLR = 1UL << 0;
        DMA1CH0_Transfer_Error();
    }
}
